    001    /* ========================================================================
    002     * JCommon : a free general purpose class library for the Java(tm) platform
    003     * ========================================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jcommon/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ------------------------
    028     * IndexedPropertyInfo.java
    029     * ------------------------
    030     * (C)opyright 2003, 2004, by Thomas Morgner and Contributors.
    031     *
    032     * Original Author:  Thomas Morgner;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: IndexedPropertyInfo.java,v 1.2 2005/10/18 13:32:37 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 21.06.2003 : Initial version
    040     *
    041     */
    042
    043    package org.jfree.xml.generator.model;
    044
    045    /**
    046     * Indexed property info.
    047     */
    048    public class IndexedPropertyInfo extends PropertyInfo {
    049
    050        /** The key. */
    051        private KeyDescription key;
    052
    053        /**
    054         * Creates a new instance.
    055         *
    056         * @param name  the name.
    057         * @param type  the type.
    058         */
    059        public IndexedPropertyInfo(final String name, final Class type) {
    060            super(name, type);
    061        }
    062
    063        /**
    064         * Returns the key.
    065         *
    066         * @return the key.
    067         */
    068        public KeyDescription getKey() {
    069            return this.key;
    070        }
    071
    072        /**
    073         * Sets the key.
    074         *
    075         * @param key  the key.
    076         */
    077        public void setKey(final KeyDescription key) {
    078            this.key = key;
    079        }
    080    }